Bug 1581298 - [abrt] ibus: g_thread_new(): ibus-engine-simple killed by SIGTRAP
Summary: [abrt] ibus: g_thread_new(): ibus-engine-simple killed by SIGTRAP
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0c5edb03801a08bcfedee3d47c7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-22 13:15 UTC by RobbieTheK
Modified: 2019-04-09 04:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-09 04:02:45 UTC


Attachments (Terms of Use)
File: backtrace (14.17 KB, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details
File: cgroup (393 bytes, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details
File: core_backtrace (7.20 KB, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details
File: cpuinfo (1.11 KB, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details
File: dso_list (2.19 KB, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details
File: environ (1.94 KB, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details
File: maps (10.78 KB, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details
File: mountinfo (4.15 KB, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details
File: open_fds (227 bytes, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-05-22 13:15 UTC, RobbieTheK
no flags Details

Description RobbieTheK 2018-05-22 13:15:32 UTC
Version-Release number of selected component:
ibus-1.5.17-6.fc27

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/libexec/ibus-engine-simple
crash_function: g_thread_new
executable:     /usr/libexec/ibus-engine-simple
global_pid:     12440
kernel:         4.16.7-200.fc27.x86_64
runlevel:       N 5
type:           CCpp
uid:            16836

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 g_thread_new at gthread.c:830
 #5 g_get_worker_context at gmain.c:5751
 #6 g_task_thread_pool_init at gtask.c:1977
 #7 g_task_get_type at gtask.c:592
 #8 ensure_required_types at gdbusprivate.c:246
 #9 _g_dbus_initialize at gdbusprivate.c:1950
 #10 g_bus_get_sync at gdbusconnection.c:7266
 #11 ??
 #12 ??
 #13 ??

Comment 1 RobbieTheK 2018-05-22 13:15:37 UTC
Created attachment 1440112 [details]
File: backtrace

Comment 2 RobbieTheK 2018-05-22 13:15:38 UTC
Created attachment 1440113 [details]
File: cgroup

Comment 3 RobbieTheK 2018-05-22 13:15:39 UTC
Created attachment 1440114 [details]
File: core_backtrace

Comment 4 RobbieTheK 2018-05-22 13:15:40 UTC
Created attachment 1440115 [details]
File: cpuinfo

Comment 5 RobbieTheK 2018-05-22 13:15:41 UTC
Created attachment 1440116 [details]
File: dso_list

Comment 6 RobbieTheK 2018-05-22 13:15:42 UTC
Created attachment 1440117 [details]
File: environ

Comment 7 RobbieTheK 2018-05-22 13:15:43 UTC
Created attachment 1440118 [details]
File: limits

Comment 8 RobbieTheK 2018-05-22 13:15:44 UTC
Created attachment 1440119 [details]
File: maps

Comment 9 RobbieTheK 2018-05-22 13:15:45 UTC
Created attachment 1440120 [details]
File: mountinfo

Comment 10 RobbieTheK 2018-05-22 13:15:46 UTC
Created attachment 1440121 [details]
File: namespaces

Comment 11 RobbieTheK 2018-05-22 13:15:47 UTC
Created attachment 1440122 [details]
File: open_fds

Comment 12 RobbieTheK 2018-05-22 13:15:48 UTC
Created attachment 1440123 [details]
File: proc_pid_status

Comment 13 fujiwara 2018-08-13 04:07:37 UTC
(In reply to RobbieTheK from comment #1)
> Created attachment 1440112 [details]
> File: backtrace

I cannot reproduce your backtrace.
Are you still able to see your backtrace?


#0  _g_log_abort (breakpoint=1) at gmessages.c:554
        debugger_present = 1
#1  0x00007f84f63d07ac in g_log_default_handler (log_domain=log_domain@entry=0x7f84f6411fae "GLib", log_level=log_level@entry=6, message=message@entry=0x56053427c0e0 "creating thread 'gmain': Error creating thread: Resource temporarily unavailable", unused_data=unused_data@entry=0x0) at gmessages.c:3051
#2  0x00007f84f63d0a3d in g_logv (log_domain=0x7f84f6411fae "GLib", log_level=G_LOG_LEVEL_ERROR, format=<optimized out>, args=args@entry=0x7ffd9fcabed0) at gmessages.c:1341
#3  0x00007f84f63d0baf in g_log (log_domain=log_domain@entry=0x7f84f6411fae "GLib", log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x7f84f64214a2 "creating thread '%s': %s") at gmessages.c:1403
#4  0x00007f84f63f188b in g_thread_new (name=name@entry=0x7f84f6419392 "gmain", func=func@entry=0x7f84f63c9fd0 <glib_worker_main>, data=data@entry=0x0) at gthread.c:830
#5  0x00007f84f63cadd4 in g_get_worker_context () at gmain.c:5751
#6  0x00007f84f69715a5 in g_task_thread_pool_init () at gtask.c:1977
No locals.
#7  g_task_get_type () at gtask.c:592

Comment 14 RobbieTheK 2018-08-27 19:37:43 UTC
We upgraded to Fedora 28 haven't seen this one again yet. But we do see issues like https://bugzilla.redhat.com/show_bug.cgi?id=1427721 and https://bugzilla.redhat.com/show_bug.cgi?id=1594290 not sure if that helps or if they are related?

Comment 15 fujiwara 2018-08-28 03:07:31 UTC
(In reply to RobbieTheK from comment #14)
> We upgraded to Fedora 28 haven't seen this one again yet. But we do see
> issues like https://bugzilla.redhat.com/show_bug.cgi?id=1427721 and
> https://bugzilla.redhat.com/show_bug.cgi?id=1594290 not sure if that helps
> or if they are related?

There are different issues at all and even different backtraces.

Comment 16 Ben Cotton 2018-11-27 14:44:44 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 fujiwara 2019-04-09 04:02:45 UTC
(In reply to fujiwara from comment #15)
> (In reply to RobbieTheK from comment #14)
> > We upgraded to Fedora 28 haven't seen this one again yet. But we do see
> > issues like https://bugzilla.redhat.com/show_bug.cgi?id=1427721 and
> > https://bugzilla.redhat.com/show_bug.cgi?id=1594290 not sure if that helps
> > or if they are related?
> 
> There are different issues at all and even different backtraces.

Since you haven't seen this issue, you should open a new issue with the different backtrace.


Note You need to log in before you can comment on or make changes to this bug.